<html>
<head>
<meta HTTP-EQUIV=CONTENT-TYPE CONTENT="text/html; charset=utf-8">
<title>Existing Methods</title>
</head>
<body text=#000000 bgcolor=#EAE6E4 link=#0000CC vlink=#000080 alink=#0000CC>
<center>
<a href="text0.html">First page</a> <a href="text4.html">Back</a> <a href="text6.html">Continue</a> <a href="text11.html">Last page</a> <a href="index.html">Overview</a> <a href="img5.html">Graphics</a></center><br>
<h1>Existing methods</h1><p>
<ul><li><h2><b>Lockstep library versioning (the “Red Hat method”)</b></h2>
<ul><li>change library versions of all related libs at once
<li>works ok for centrally-managed projects (GNOME)
<li>doesn't work so well in Debian's distributed model
<li>loses benefits of incremental improvements based on varying upstream release schedules
<li><u>Does</u> <u>not</u> <u>scale</u>.
</ul></ul><br>
<h3>Notes:</h3>
</body>
</html>